<nav class="navbar navbar-expand-md navbar-dark bg-primary">
  <div class="container">
    <a class="navbar-brand" [routerLink]="['/']">DatingApp</a>

    <ul *ngIf="loggedIn()" class="navbar-nav mr-auto">
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['/members']">Matches
        </a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['/lists']">Lists</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['/messages']">Messages</a>
      </li>
    </ul>

    <div *ngIf="loggedIn()" class="dropdown" dropdown>
      <span class="mr-1">
        <img src="{{photoUrl || '../../assets/user.png'}}" alt="">
      </span>
      <a class="dropdown-toggle text-light" dropdownToggle>
        Welcome {{ authService.decodedToken?.unique_name }}
      </a>

      <div class="dropdown-menu mt-3" *dropdownMenu>
        <a class="dropdown-item" [routerLink]="['/member/edit']">
          <i class="fa fa-user"></i> Edit Profile</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" (click)="logout()">
          <i class="fa fa-user"></i> Logout</a>
      </div>
    </div>

    <form *ngIf="!loggedIn()" #loginForm="ngForm" class="form-inline my-2 my-lg-0" (ngSubmit)="login()">
      <input class="form-control mr-sm-2" type="text" name="username" placeholder="Username" required [(ngModel)]="model.username">
      <input class="form-control mr-sm-2" type="password" name="password" placeholder="Password" required [(ngModel)]="model.password">
      <button [disabled]="!loginForm.valid" class="btn btn-success my-2 my-sm-0" type="submit">Login</button>
    </form>
  </div>
</nav>
